-- copyright benjamin bober, 2020
qualityoflife = qualityoflife or {};
local q = qualityoflife;

function q:MathSign(x)
	if x < 0 then
	  return -1;
	elseif x > 0 then
	  return 1;
	else
	  return 0;
	end
 end

function q:MathRound(x, decimals)
	decimals = decimals or 0;
	return tonumber(string.format("%." .. decimals .. "f", x));
end

function q:MathLerp(pos1, pos2, perc)
    return (1 - perc) * pos1 + perc * pos2;
end